body {
	background: #232323;

	color: white;

	max-width: 320px;
	margin: 0 auto;

	text-align: center;

	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	min-height: 90vh;

	section {
		width: 100%;
	}


	.match-status {
		display: flex;

		align-items: center;

		border: 2px solid white;

		h3 {
			flex: 1;
		}

		p {
			background: tomato;
			padding: 10px 6px;
			flex: 0.25 1 0;
		}
	}
}

button{
	transition: all 200ms ease-in-out;

	&:hover {
		filter: drop-shadow(0 0 6px rgba(255, 255, 255, 0.8));
	}

	&:active{
		background: rgba(0, 0, 0, 0.4);
		translate: 0 4px;
	}
}

button {
	background: none;
	color: inherit;
	border: 2px solid white;

	padding: clamp(4px, 5%, 12px) clamp(4px, 10%, 20px);
}

#pre-match {
	.round-selection {
		display: grid;
		grid-template-columns: 1fr 1fr;
		gap: 8px;
		padding: 8px;

		border: 2px solid white;

		@media only screen and (max-width: 320px){
			grid-template-columns: 1fr;
		}

		label{
			border: 2px solid white;
			padding: 6px clamp(4px, 10%, 20px);
		}

		.active {
			background: red;
		}
	}
}

#match {
	display: none;
}

#result {
	display: none;
}
